<%@ Page Language="C#" AutoEventWireup="true"  %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script runat="server">
protected void Page_Load(object sender, EventArgs e)
{
	if (Session["LastError"] != null)
	{
	    Exception lastException = Session["LastError"] as Exception;
	    if (lastException != null)
	    {
		  Exception actualException = lastException.GetBaseException();

		  if (actualException != null)
		  {
			lblErrorMessage.Text = actualException.Message;
			lblMessageStack.Text = actualException.StackTrace.Replace("\n", "<br>");
                
			if(actualException.Message.IndexOf("could not find work queue item") > -1)
			{
			    lblHeader.Text = "Workflow Task Not Found or Not Valid";
			    lblMessageDetails.Text = "This is most commonly caused by attempting to access a task that has already been completed.";
			}
		  }
	    }
	}
}

</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Error Page</title>
     <script language=javascript type="text/javascript">
 function showDiv()
 {
    var detailsDiv = document.getElementById('detailsDiv');
    detailsDiv.style.display = '';
 }
 function hideDiv()
 {
    var detailsDiv = document.getElementById('detailsDiv');
    detailsDiv.style.display = 'none';
 }
 </script>
 
 <style type="text/css">

#detailsDiv {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-style: normal;
	background-color: #FFFFFF;
	z-index:10000;
	width:702px;
	height:500px;
	position:absolute;
}
	 #form1
	 {
		 width: 625px;
	 }

</style>
</head>
<body>
    <form id="form1" runat="server">
<div id="detailsDiv" style="display:none;">
<table width="702" border="0" align="center" cellpadding="15" cellspacing="0">
    <tr>
    <td>
        <table width="100%" border="1" cellpadding="3" cellspacing="0" 
		    bordercolor="#000000" bgcolor="White">
        <tr>
        <td>

        <table width="100%" border="0" cellpadding="4" cellspacing="0" bgcolor="#FFFFFF">
        <tr>
          <td><strong>Error Details </strong></td>
        </tr>
        <tr>
          <td><p><b>Error Message:</b> <br />
          <asp:Label ID="lblErrorMessage" runat="server" ForeColor=red Font-Bold=true></asp:Label> </p>
          </td>
        </tr>
        <tr>
          <td><p><b>Message Stack:</b><br />
          <asp:Label ID="lblMessageStack" runat="server"></asp:Label></p></td>
        </tr>
        <tr>
        <td>
        <a href="javascript:hideDiv();">Close</a>
        </td>
        </tr>
        </table>
        </td>
        </tr>
        </table>
    </td>
    </tr>
</table>
</div>



  <table border="0" cellpadding="15" cellspacing="0" style="width: 583px">
<tr>
	<td colspan="2">
		<img src="top.png"></td>
	</td>
	</tr>
		<tr>
            <td width=10%><img src="altiris.png"></td>
			<td width=90%>				
				<div style="margin-left:25px; margin-right:25px; margin-bottom:8px; margin-top:35px; width: 392px;"> 
                          <strong>
					<font color="red" size="4" face="Arial, Helvetica, sans-serif">
						<asp:Label ID="lblHeader" runat="server">Application Error</asp:Label>
					</font>
                          </strong>
                        </div>
				<div style="margin-left:25px; margin-right:25px; margin-bottom:8px; margin-top:35px &gt; &lt;font size=; width: 419px;"
					2" face="Arial, Helvetica, sans-serif">
						  <asp:Label id="lblMessageDetails" runat="server">An application error has occured.</asp:Label>
						  
						  <br />
                              <a href="javascript:showDiv();">View Details</a>
                        </div>
			</td>
		</tr>	
	</table>
	
	<table width="100%" border="0" cellpadding="15" cellspacing="0">	
		<tr>
			<td>
				<hr style="width: 600px; text-align: left;"/>
			</td>
		 </tr>
		 
		 <tr>
                <td>
                <font color="333333"  size="2" face="Arial, Helvetica, sans-serif">Copyright  2008
			    <strong> Symantec, Inc. </strong> All rights reserved</font></td>                
              </tr>
		 
		 <tr>
                <td>
                	&nbsp;</td>                
              </tr>
	 </table>	 
</form>
</body>
</html>
